Bug 439157 - Review Request: perl-Catalyst-View-JSON - JSON view for your Catalyst data
Review Request: perl-Catalyst-View-JSON - JSON view for your Catalyst data
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 07:59 EDT by Simon Wilkinson
Modified: 2008-04-12 18:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-12 18:32:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
don't default to JSON (852 bytes, patch)
2008-04-03 19:53 EDT, Chris Weyl
no flags Details | Diff

  None (edit)
Description Simon Wilkinson 2008-03-27 07:59:25 EDT
Spec URL: http://homepages.inf.ed.ac.uk/sxw/perl-Catalyst-View-JSON.spec
SRPM URL: http://homepages.inf.ed.ac.uk/sxw/perl-Catalyst-View-JSON-0.24-1.fc9.src.rpm
Description:

Catalyst::View::JSON is a Catalyst View handler that returns stash data in
JSON format.
Comment 1 Parag AN(पराग) 2008-03-27 08:33:53 EDT
Review:
+ package builds in mock.
Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=534049
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
65cfb99bc13dd59f4be3aa6ff1cb718b  Catalyst-View-JSON-0.24.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=2, Tests=41,  0 wallclock secs ( 0.68 cusr +  0.03 csys =  0.71 CPU)
+ Package perl-Catalyst-View-JSON-0.24-1.fc9 =>
  Provides: perl(Catalyst::Helper::View::JSON) perl(Catalyst::View::JSON) = 0.24
  Requires: perl(Catalyst::Exception) perl(Encode) perl(NEXT) perl(base)
perl(strict)

APPROVED.
Comment 2 Chris Weyl 2008-04-03 19:53:00 EDT
Created attachment 300368 [details]
don't default to JSON

I'll file this as a separate bug when branched/built, but F-8 and older only
have JSON 1.15, not 2.04 as this package requires.  Catalyst::View::JSON seems
to force JSON::Any to use JSON vs JSON::XS, and JSON::Any doesn't know how to
deal with JSON < 2.x.

This patch lets this package use whatever JSON module JSON::Any feels is
appropriate, unless one is explicitly specified; you may find it helpful when
branching/building :)
Comment 3 Simon Wilkinson 2008-04-04 06:13:04 EDT
New Package CVS Request
=======================
Package Name: perl-Catalyst-View-JSON
Short Description: JSON view for your Catalyst data
Owners: sxw
Branches: EL-5 F-7 F-8 
InitialCC: 
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-04-04 11:54:45 EDT
cvs done.
Comment 5 Simon Wilkinson 2008-04-12 18:32:10 EDT
Chris: I've applied your patch to the F-7 and F-8 branches.

Thanks everyone!



Note You need to log in before you can comment on or make changes to this bug.